## zfsutils 8.1

=== cddl/lib/libnvpair/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libnvpair
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/nvpair

LIB=	nvpair

SRCS=	libnvpair.c \
	nvpair_alloc_system.c \
	nvpair_alloc_fixed.c \
	nvpair.c

CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/include
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+= -I${.CURDIR}/../../../sys

.include <bsd.lib.mk>

=== cddl/lib/libuutil/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libuutil/common
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/avl

LIB=	uutil
SRCS=	avl.c \
	uu_alloc.c \
	uu_avl.c \
	uu_dprintf.c \
	uu_ident.c \
	uu_list.c \
	uu_misc.c \
	uu_open.c \
	uu_pname.c \
	uu_strtoint.c

CFLAGS+= -DNATIVE_BUILD
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libuutil/common
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/include
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/head

.include <bsd.lib.mk>

=== cddl/lib/libzfs/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../cddl/compat/opensolaris/misc
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/zfs
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
.PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzfs/common

LIB=	zfs
DPADD=	${LIBUTIL}
LDADD=	-lutil

SRCS=	deviceid.c \
	fsshare.c \
	mkdirp.c \
	mnttab.c \
	zmount.c \
	zone.c

SRCS+=	zfs_deleg.c \
	zfs_namecheck.c \
	zfs_prop.c \
	zpool_prop.c \
	zprop_common.c \
	libzfs_dataset.c \
	libzfs_util.c \
	libzfs_graph.c \
	libzfs_mount.c \
	libzfs_pool.c \
	libzfs_changelist.c \
	libzfs_config.c \
	libzfs_import.c \
	libzfs_sendrecv.c \
	libzfs_status.c

CFLAGS+= -DZFS_NO_ACL
CFLAGS+= -I${.CURDIR}/../../../sbin/mount
CFLAGS+= -I${.CURDIR}/../../../cddl/lib/libumem
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/include
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzpool/common
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/zfs
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/sys
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/head
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libnvpair
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libuutil/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzfs/common

.include <bsd.lib.mk>

=== cddl/sbin/zfs/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/cmd/zfs

PROG=	zfs
MAN=	zfs.8
SRCS=	zfs_main.c zfs_iter.c

CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzpool/common
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/include
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/head
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libuutil/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzfs/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libumem/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libnvpair
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/sys

DPADD=	${LIBZFS} ${LIBGEOM} ${LIBBSDXML} ${LIBSBUF} \
	${LIBM} ${LIBNVPAIR} ${LIBUUTIL} ${LIBUTIL}
LDADD=	-lzfs -lgeom -lbsdxml -lsbuf \
	-lm -lnvpair -luutil -lutil

.include <bsd.prog.mk>

=== cddl/sbin/zpool/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/cmd/zpool \
	${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/zfs

PROG=	zpool
MAN=	zpool.8
SRCS=	zpool_main.c zpool_vdev.c zpool_iter.c zpool_util.c zfs_comutil.c

CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzpool/common
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/include
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/head
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libuutil/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libumem/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzfs/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libnvpair
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/zfs
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/sys

DPADD=	${LIBAVL} ${LIBZFS} ${LIBGEOM} ${LIBBSDXML} ${LIBSBUF} \
	${LIBM} ${LIBNVPAIR} ${LIBUUTIL} ${LIBUTIL}
LDADD=	-lavl -lzfs -lgeom -lbsdxml -lsbuf \
	-lm -lnvpair -luutil -lutil

.include <bsd.prog.mk>

=== cddl/usr.bin/zinject/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../contrib/opensolaris/cmd/zinject

PROG=	zinject
SRCS=	zinject.c translate.c
NO_MAN=

CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../compat/opensolaris/include
CFLAGS+= -I${.CURDIR}/../../compat/opensolaris/lib/libumem
CFLAGS+= -I${.CURDIR}/../../contrib/opensolaris/lib/libzfs/common
CFLAGS+= -I${.CURDIR}/../../contrib/opensolaris/lib/libzpool/common
CFLAGS+= -I${.CURDIR}/../../contrib/opensolaris/lib/libnvpair
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/sys
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+= -I${.CURDIR}/../../contrib/opensolaris/head
CFLAGS+= -I${.CURDIR}/../../lib/libumem

DPADD=	${LIBAVL} ${LIBGEOM} ${LIBM} ${LIBNVPAIR} ${LIBUMEM} ${LIBUUTIL} \
	${LIBZFS} ${LIBZPOOL} ${LIBUUTIL}
LDADD=	-lavl -lgeom -lm -lnvpair -lumem -luutil -lzfs -lzpool

.include <bsd.prog.mk>

=== cddl/usr.bin/ztest/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../..//contrib/opensolaris/cmd/ztest

PROG=	ztest
NO_MAN=

CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../compat/opensolaris/include
CFLAGS+= -I${.CURDIR}/../../compat/opensolaris/lib/libumem
CFLAGS+= -I${.CURDIR}/../../contrib/opensolaris/lib/libzpool/common
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/sys
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+= -I${.CURDIR}/../../contrib/opensolaris/head
CFLAGS+= -I${.CURDIR}/../../lib/libumem

DPADD=	${LIBM} ${LIBNVPAIR} ${LIBUMEM} ${LIBZPOOL} \
	${LIBPTHREAD} ${LIBZ} ${LIBAVL}
LDADD=	-lm -lnvpair -lumem -lzpool -lpthread -lz -lavl

CSTD=	c99

.include <bsd.prog.mk>

=== cddl/usr.sbin/zdb/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/cmd/zdb

PROG=	zdb
MAN=	zdb.8
SRCS=	zdb.c zdb_il.c

CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/include
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libnvpair
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libuutil/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzfs/common
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzpool/common
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/sys
CFLAGS+= -I${.CURDIR}/../../../cddl/contrib/opensolaris/head
CFLAGS+= -I${.CURDIR}/../../lib/libumem

DPADD=	${LIBAVL} ${LIBGEOM} ${LIBM} ${LIBNVPAIR} ${LIBPTHREAD} ${LIBUMEM} \
	${LIBUUTIL} ${LIBZ} ${LIBZFS} ${LIBZPOOL}
LDADD=	-lavl -lgeom -lm -lnvpair -lpthread -lumem -luutil -lz -lzfs -lzpool

CSTD=	c99

.include <bsd.prog.mk>

## zfsutils 8.2

=== cddl/lib/libavl/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/avl

LIB=	avl
SRCS=	avl.c
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+= -I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common

.include <bsd.lib.mk>

=== cddl/lib/libumem/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem

LIB=	umem
SRCS=	umem.c
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem

.include <bsd.lib.mk>

=== cddl/lib/libzpool/Makefile ===
# $FreeBSD$

.include "${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/Makefile.files"

# ZFS_COMMON_SRCS
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
# ZFS_SHARED_SRCS
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/zfs
# KERNEL_SRCS
.PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzpool/common
# LIST_SRCS
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/os
# ATOMIC_SRCS
.if ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "amd64" || ${MACHINE_ARCH} == "ia64" || ${MACHINE_ARCH} == "sparc64"
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/atomic/${MACHINE_ARCH}
ATOMIC_SRCS=	opensolaris_atomic.S
.else
.PATH: ${.CURDIR}/../../../sys/cddl/compat/opensolaris/kern
ATOMIC_SRCS=	opensolaris_atomic.c
.endif
# UNICODE_SRCS
.PATH: ${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/unicode

LIB=		zpool

ZFS_COMMON_SRCS= ${ZFS_COMMON_OBJS:C/.o$/.c/} vdev_file.c
ZFS_SHARED_SRCS= ${ZFS_SHARED_OBJS:C/.o$/.c/}
KERNEL_SRCS=	kernel.c taskq.c util.c
LIST_SRCS=	list.c
UNICODE_SRCS=	u8_textprep.c

SRCS=		${ZFS_COMMON_SRCS} ${ZFS_SHARED_SRCS} \
		${KERNEL_SRCS} ${LIST_SRCS} ${ATOMIC_SRCS} \
		${UNICODE_SRCS}

CFLAGS+=	-I${.CURDIR}/../../../sys/cddl/compat/opensolaris
CFLAGS+=	-I${.CURDIR}/../../../cddl/compat/opensolaris/include
CFLAGS+=	-I${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem
CFLAGS+=	-I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libzpool/common
CFLAGS+=	-I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/sys
CFLAGS+=	-I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common/fs/zfs
CFLAGS+=	-I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/common/zfs
CFLAGS+=	-I${.CURDIR}/../../../sys/cddl/contrib/opensolaris/uts/common
CFLAGS+=	-I${.CURDIR}/../../../cddl/contrib/opensolaris/head
CFLAGS+=	-I${.CURDIR}/../../../cddl/lib/libumem
CFLAGS+=	-I${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libnvpair
# XXX: pthread doesn't have mutex_owned() equivalent, so we need to look
#      into libthr private structures. That's sooo evil, but it's only for
#      ZFS debugging tools needs.
CFLAGS+=	-DWANTS_MUTEX_OWNED
CFLAGS+=	-I${.CURDIR}/../../../lib/libpthread/thread
CFLAGS+=	-I${.CURDIR}/../../../lib/libpthread/sys
CFLAGS+=	-I${.CURDIR}/../../../lib/libthr/arch/${MACHINE_ARCH}/include

DPADD=		${LIBPTHREAD} ${LIBZ}
LDADD=		-lpthread -lz

# atomic.S doesn't like profiling.
NO_PROFILE=

CSTD=	c99

.include <bsd.lib.mk>

=== debian/changelog ===
zfsutils (8.2-2) unstable; urgency=low

  [ Guillem Jover ]
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap CFLAGS and PMAKE variables in debian/rules.
  * Set numeric user and group id to 0 for files in get-orig-source.

  [ Robert Millan ]
  * Fix broken dependency on "libumem0-udeb.install".
  * Add bash_completion script (stolen from zfs-fuse).

 -- Robert Millan <rmh@debian.org>  Sun, 10 Jul 2011 12:26:49 +0200

zfsutils (8.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.2.

  [ Robert Millan ]
  * Fix bootloader advice to give instructions on upgrading GRUB.

  [ Aurelien Jarno ]
  * Fix build with recent binutils versions.
  * Add zdb, zinject and ztest, based on a patch from Arno Töll.
    Closes: #618592.
  * Bump to Standards-Version 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Apr 2011 21:53:04 +0200

zfsutils (8.1-4) unstable; urgency=low

  * Create a /boot/zfs/ directory in zfsutils-udeb, so that zpool.cache
    can be created there. Closes: bug#591820.
  * Add 09_xdr_control.diff, 10_zpool_import.diff, 11_endian.diff and
    12_freebsd.diff to improve the port to GNU/kFreeBSD and fix various
    issues:
    - "zpool list" command with more than 4 devices.  Closes: bug#595021.
    - "zpool import" command not working.  Closes: bug#592676.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 02 Sep 2010 01:41:20 +0200

zfsutils (8.1-3) unstable; urgency=low

  * Create /etc/zfs so that zfs can store its configuration. Closes:
    bug#591921.
  * Update init script to also start/stop zvol and mount swap on zvol.
    Closes: bug#591909.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Aug 2010 13:39:27 +0200

zfsutils (8.1-2) unstable; urgency=low

  * Create a /boot/zfs/ directory so that zpool.cache can be created
    there. Closes: bug#591820.
  * Add an initscript to mount/umount filesystems. Closes: bug#591823.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Aug 2010 03:45:27 +0200

zfsutils (8.1-1) unstable; urgency=low

  [ Tuco Xyz / Petr Salinger / Aurelien Jarno ]
  * Initial release.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Jul 2010 20:53:23 +0200

=== debian/control ===
Source: zfsutils
Section: admin
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 7), freebsd-buildutils, libbsd-dev (>= 0.1.4),
 libc0.1-dev (>= 2.10), kfreebsd-kernel-headers (>= 0.51), libgeom-dev, libsbuf-dev,
 zlib1g-dev
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/zfsutils/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/zfsutils/
Standards-Version: 3.9.2

Package: libuutil0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris userland utility library
 This package contains the OpenSolaris userland utility library.

Package: libuutil-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libuutil0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libuutil
 This package contains the header files and static library needed to
 compile applications that use libuutil.

Package: libuutil0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris userland utility library
 This package contains the OpenSolaris userland utility library.
 .
 This is a minimal package for use in debian-installer.

Package: libnvpair0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libnvpair library, for managing
 name-value pairs.

Package: libnvpair-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libnvpair0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libnvpair
 This package contains the header files and static library needed to
 compile applications that use libnvpair.

Package: libnvpair0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libnvpair library, for managing
 name-value pairs.
 .
 This is a minimal package for use in debian-installer.

Package: libzfs0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD ZFS library
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 The ZFS library provides support for managing ZFS filesystems.

Package: libzfs-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libzfs0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libzfs
 This package contains the header files and static library needed to
 compile applications that use libzfs.

Package: libzfs0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD ZFS library
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 The ZFS library provides support for managing ZFS filesystems.
 .
 This is a minimal package for use in debian-installer.

Package: zfsutils
Section: admin
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tools to manage ZFS filesystems
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 This package provides the zfs and zpool commands to create and administer
 ZFS filesystems.

Package: zfsutils-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tools to manage ZFS filesystems
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 This package provides the zfs and zpool commands to create and administer
 ZFS filesystems.
 .
 This is a minimal package for use in debian-installer.


Package: libumem0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libumem library, to detect
 memory management bugs in applications

Package: libumem-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libumem0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libnvpair
 This package contains the header files and static library needed to
 compile applications that use libumem.

Package: libumem0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libumem library, to detect
 memory management bugs in applications


Package: libzpool0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libzpool library.
 .
 This is a minimal package for use in debian-installer.

Package: libzpool-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libzpool0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libnvpair
 This package contains the header files and static library needed to
 compile applications that use libzpool.

Package: libzpool0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libzpool library.
 .
 This is a minimal package for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
SHELL=bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -Wno-unknown-pragmas -g -pipe -fPIC -I. \
         -D_GNU_SOURCE -DNEED_SOLARIS_BOOLEAN -D'__FBSDID(string)=' \
         -D__va_list=__builtin_va_list

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

SOURCE = zfsutils
VERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g')
SVN = http://svn.freebsd.org/base/release/$(VERSION).0
ORIGDIR = $(SOURCE)-$(VERSION)
TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
        NOSHARED=NO NO_SHARED=NO DESTDIR=$(DESTDIR) make
export SHLIB_MAJOR = 0
export SHLIBDIR = ./

get-orig-source:
	rm -rf $(ORIGDIR)
	for i in \
	         cddl/compat/opensolaris \
	         cddl/contrib/opensolaris/head \
	         cddl/contrib/opensolaris/cmd/zdb \
	         cddl/contrib/opensolaris/cmd/zfs \
	         cddl/contrib/opensolaris/cmd/zinject \
	         cddl/contrib/opensolaris/cmd/zpool \
	         cddl/contrib/opensolaris/cmd/ztest \
	         cddl/contrib/opensolaris/lib/libnvpair \
	         cddl/contrib/opensolaris/lib/libuutil \
	         cddl/contrib/opensolaris/lib/libzfs \
	         cddl/contrib/opensolaris/lib/libzpool \
	         sys/cddl/compat/opensolaris \
	         sys/cddl/contrib/opensolaris \
	         cddl/lib/libavl \
	         cddl/lib/libnvpair \
	         cddl/lib/libuutil \
	         cddl/lib/libzpool \
	         cddl/lib/libumem \
	         cddl/lib/libzfs \
	         cddl/sbin/zpool \
	         cddl/sbin/zfs \
	         cddl/usr.bin/zinject \
	         cddl/usr.bin/ztest \
	         cddl/usr.sbin/zdb \
	         ; do \
	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
	done
	rm -f $(ORIGDIR)/cddl/compat/opensolaris/include/alloca.h
	rm -f $(ORIGDIR)/cddl/compat/opensolaris/include/stdlib.h
	rm -rf $(ORIGDIR)/sys/cddl/contrib/opensolaris/uts/common/zmod
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

build: build-libuutil build-libnvpair build-libzfs build-libumem build-libzpool build-zfsutils build-libavl

build-libuutil: build-libuutil-stamp
build-libuutil-stamp:
	$(PMAKE) -C $(CURDIR)/cddl/lib/libuutil
	touch $@

build-libnvpair: build-libnvpair-stamp
build-libnvpair-stamp:
	$(PMAKE) -C $(CURDIR)/cddl/lib/libnvpair
	touch $@

build-libumem: build-libumem-stamp
build-libumem-stamp:
	$(PMAKE) -C $(CURDIR)/cddl/lib/libumem
	touch $@


build-libzpool: build-libzpool-stamp
build-libzpool-stamp: build-libavl build-libnvpair-stamp build-libumem
	$(PMAKE) -C $(CURDIR)/cddl/lib/libzpool
	touch $@

build-libzfs: build-libzfs-stamp
build-libzfs-stamp: build-libnvpair-stamp build-libuutil-stamp
	$(PMAKE) -C $(CURDIR)/cddl/lib/libzfs
	touch $@

build-libavl: build-libavl-stamp
build-libavl-stamp:
	$(PMAKE) -C $(CURDIR)/cddl/lib/libavl
	touch $@

build-zfsutils: build-zfsutils-stamp
build-zfsutils-stamp: build-libzfs-stamp build-libnvpair-stamp build-libuutil-stamp build-libumem build-libzpool
	$(PMAKE) -C $(CURDIR)/cddl/sbin/zpool
	$(PMAKE) -C $(CURDIR)/cddl/sbin/zfs

	$(PMAKE) -C $(CURDIR)/cddl/usr.sbin/zdb
	$(PMAKE) -C $(CURDIR)/cddl/usr.bin/zinject
	$(PMAKE) -C $(CURDIR)/cddl/usr.bin/ztest/
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(PMAKE) -C $(CURDIR)/cddl/lib/libnvpair clean

	$(PMAKE) -C $(CURDIR)/cddl/lib/libuutil clean

	$(PMAKE) -C $(CURDIR)/cddl/lib/libzfs clean

	$(PMAKE) -C $(CURDIR)/cddl/sbin/zpool clean
	$(PMAKE) -C $(CURDIR)/cddl/sbin/zfs clean

	$(PMAKE) -C $(CURDIR)/cddl/lib/libumem clean
	$(PMAKE) -C $(CURDIR)/cddl/lib/libzpool clean
	$(PMAKE) -C $(CURDIR)/cddl/lib/libavl clean
	$(PMAKE) -C $(CURDIR)/cddl/usr.sbin/zdb clean
	$(PMAKE) -C $(CURDIR)/cddl/usr.bin/ztest clean
	$(PMAKE) -C $(CURDIR)/cddl/usr.bin/zinject clean

	rm -f *stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s
	dh_install -s

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
#	dh_installexamples
	dh_installinit --no-restart-on-upgrade --name=zfs -- start 26 S . stop 50 0 6 .
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a
	dh_makeshlibs -plibnvpair0 --add-udeb=libnvpair0-udeb
	dh_makeshlibs -plibuutil0 --add-udeb=libuutil0-udeb
	dh_makeshlibs -plibzfs0 --add-udeb=libzfs0-udeb
	dh_makeshlibs -plibzpool0 --add-udeb=libzpool0-udeb
	dh_makeshlibs -plibumem0 --add-udeb=libumem0-udeb
	dh_makeshlibs -pzfsutils --add-udeb=zfsutils-udeb
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure
